Debian Bug report logs - #695791
nova-compute: wrong path to iscsiadm in a rootwrap filter

version graph

Package: nova-compute; Maintainer for nova-compute is PKG OpenStack <openstack-devel@lists.alioth.debian.org>; Source for nova-compute is src:nova.

Reported by: Alberto Molina Coballes <alb.molina@gmail.com>

Date: Wed, 12 Dec 2012 18:27:01 UTC

Severity: important

Found in version nova/2012.1.1-10

Fixed in version nova/2012.1.1-11

Done: Thomas Goirand <zigo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, PKG OpenStack <openstack-devel@lists.alioth.debian.org>:
Bug#695791; Package nova-compute. (Wed, 12 Dec 2012 18:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alberto Molina Coballes <alb.molina@gmail.com>:
New Bug report received and forwarded. Copy sent to PKG OpenStack <openstack-devel@lists.alioth.debian.org>. (Wed, 12 Dec 2012 18:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Alberto Molina Coballes <alb.molina@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: nova-compute: wrong path to iscsiadm in a rootwrap filter
Date: Wed, 12 Dec 2012 19:14:24 +0100
Package: nova-compute
Version: 2012.1.1-10
Severity: important

Dear Maintainer,

Current path to iscsiadm in /usr/share/pyshared/nova/rootwrap/compute.py
is wrong at line 116:
    filters.CommandFilter("/sbin/iscsiadm", "root"),
While correct path must be
    filters.CommandFilter("/usr/bin/iscsiadm", "root"),

This error causes a compute node is not able to attach a volume, because
nova-rootwrap don't find iscsiadm as you can see at
/var/log/nova/nova-compute.log:

2012-12-10 12:12:15 TRACE nova.compute.manager [instance: 1e725bbc-ed94-45a0-a275-0817f4af8ab2] Command: sudo nova-rootwrap iscsiadm -m node -T iqn.2010-10.org.openstack:volume-00000022 -p 192.168.222.1:3260
2012-12-10 12:12:15 TRACE nova.compute.manager [instance: 1e725bbc-ed94-45a0-a275-0817f4af8ab2] Exit code: 1
2012-12-10 12:12:15 TRACE nova.compute.manager [instance: 1e725bbc-ed94-45a0-a275-0817f4af8ab2] Stdout: ''
2012-12-10 12:12:15 TRACE nova.compute.manager [instance: 1e725bbc-ed94-45a0-a275-0817f4af8ab2] Stderr: 'Traceback (most recent call last):\n  File "/usr/bin/nova-rootwrap", line 69, in <module>\n    env=filtermatch.get_environment(userargs))\n  File "/usr/lib/python2.7/subprocess.py", line 679, in __init__\n    errread, errwrite)\n  File "/usr/lib/python2.7/subprocess.py", line 1249, in _execute_child\n    raise child_exception\nOSError: [Errno 2] No such file or directory\n'

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-4-amd64 (SMP w/24 CPU cores)
Locale: LANG=es_ES.UTF-8, LC_CTYPE=es_ES.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages nova-compute depends on:
ii  adduser                                     3.113+nmu3
ii  curl                                        7.26.0-1
ii  ebtables                                    2.0.10.4-1
ii  gawk                                        1:4.0.1+dfsg-2
ii  iptables                                    1.4.14-3
ii  kpartx                                      0.4.9+git0.4dfdaf2b-6
ii  lsb-base                                    4.1+Debian8
ii  nova-common                                 2012.1.1-10
ii  nova-compute-kvm [nova-compute-hypervisor]  2012.1.1-10
ii  open-iscsi                                  2.0.873-3
ii  parted                                      2.3-11
ii  python                                      2.7.3~rc2-1
ii  qemu-utils                                  1.1.2+dfsg-2
ii  vlan                                        1.9-3

nova-compute recommends no packages.

nova-compute suggests no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, PKG OpenStack <openstack-devel@lists.alioth.debian.org>:
Bug#695791; Package nova-compute. (Thu, 13 Dec 2012 13:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alberto Molina Coballes <alb.molina@gmail.com>:
Extra info received and forwarded to list. Copy sent to PKG OpenStack <openstack-devel@lists.alioth.debian.org>. (Thu, 13 Dec 2012 13:45:03 GMT) Full text and rfc822 format available.

Message #10 received at 695791@bugs.debian.org (full text, mbox):

From: Alberto Molina Coballes <alb.molina@gmail.com>
To: 695791@bugs.debian.org
Subject: Patch
Date: Thu, 13 Dec 2012 14:41:40 +0100
Please apply this patch:

--- compute.py.orig     2012-12-13 11:04:31.399052893 +0100
+++ compute.py  2012-12-13 11:04:23.627269612 +0100
@@ -113,7 +113,7 @@
     filters.CommandFilter("/bin/dd", "root"),

     # nova/virt/xenapi/volume_utils.py: 'iscsiadm', '-m', ...
-    filters.CommandFilter("/sbin/iscsiadm", "root"),
+    filters.CommandFilter("/usr/bin/iscsiadm", "root"),

     # nova/virt/xenapi/vm_utils.py: "parted", "--script", ...
     # nova/virt/xenapi/vm_utils.py: 'parted', '--script', dev_path, ..*.



Reply sent to Thomas Goirand <zigo@debian.org>:
You have taken responsibility. (Wed, 19 Dec 2012 16:51:04 GMT) Full text and rfc822 format available.

Notification sent to Alberto Molina Coballes <alb.molina@gmail.com>:
Bug acknowledged by developer. (Wed, 19 Dec 2012 16:51:04 GMT) Full text and rfc822 format available.

Message #15 received at 695791-close@bugs.debian.org (full text, mbox):

From: Thomas Goirand <zigo@debian.org>
To: 695791-close@bugs.debian.org
Subject: Bug#695791: fixed in nova 2012.1.1-11
Date: Wed, 19 Dec 2012 16:48:07 +0000
Source: nova
Source-Version: 2012.1.1-11

We believe that the bug you reported is fixed in the latest version of
nova, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 695791@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thomas Goirand <zigo@debian.org> (supplier of updated nova package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 19 Dec 2012 15:57:49 +0000
Source: nova
Binary: python-nova nova-common nova-compute nova-compute-lxc nova-compute-uml nova-compute-xen nova-compute-qemu nova-compute-kvm nova-scheduler nova-volume nova-api nova-network nova-objectstore nova-console nova-cert nova-xcp-plugins nova-xcp-network nova-doc nova-xvpvncproxy nova-api-metadata nova-api-os-compute nova-api-os-volume nova-api-ec2
Architecture: source all
Version: 2012.1.1-11
Distribution: unstable
Urgency: low
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Changed-By: Thomas Goirand <zigo@debian.org>
Description: 
 nova-api   - OpenStack Compute - compute API frontend
 nova-api-ec2 - OpenStack Compute - EC2 API frontend
 nova-api-metadata - OpenStack Compute - metadata API frontend
 nova-api-os-compute - OpenStack Compute - compute API frontend
 nova-api-os-volume - OpenStack Compute - Volume API frontend
 nova-cert  - OpenStack Compute - certificate manager
 nova-common - OpenStack Compute - common files
 nova-compute - OpenStack Compute - compute node
 nova-compute-kvm - OpenStack Compute - compute node (KVM)
 nova-compute-lxc - OpenStack Compute - compute node (LXC)
 nova-compute-qemu - OpenStack Compute - compute node (QEmu)
 nova-compute-uml - OpenStack Compute - compute node (UserModeLinux)
 nova-compute-xen - OpenStack Compute - compute node (Xen)
 nova-console - OpenStack Compute - console
 nova-doc   - OpenStack Compute - documentation
 nova-network - OpenStack Compute - network manager
 nova-objectstore - OpenStack Compute - object store
 nova-scheduler - OpenStack Compute - virtual machine scheduler
 nova-volume - OpenStack Compute - storage
 nova-xcp-network - OpenStack Compute network plugin for the Xen Cloud Platform
 nova-xcp-plugins - OpenStack Compute plugin for the Xen Cloud Platform
 nova-xvpvncproxy - OpenStack Compute - XVP VNC proxy
 python-nova - OpenStack Compute - libraries
Closes: 695791
Changes: 
 nova (2012.1.1-11) unstable; urgency=low
 .
   * Fixes some wrong path to binaries in the rootwrap config (Closes: #695791).
Checksums-Sha1: 
 c0e42716028e9de8c0e8c509465256b7391628a2 3073 nova_2012.1.1-11.dsc
 0d43360d2b797dd7130dedfcc48be8b557533cf8 58871 nova_2012.1.1-11.debian.tar.gz
 e973667a48c8342441d66d409891a447865392d6 1777470 python-nova_2012.1.1-11_all.deb
 79a400f7e00abf9104ef6a20e3d42e127b7284aa 41026 nova-common_2012.1.1-11_all.deb
 af0c82bc45e664f9340aaf31fc09a9dfa180212a 17084 nova-compute_2012.1.1-11_all.deb
 e342934dfb8683af6c8875ddf40bcf8cf11f4a77 12198 nova-compute-lxc_2012.1.1-11_all.deb
 7fecabd195d1c1a982c3c16cc79d42b3543b1815 12212 nova-compute-uml_2012.1.1-11_all.deb
 6251e77781a6a0f090acc1fb8e79faa5c70e2f77 16854 nova-compute-xen_2012.1.1-11_all.deb
 23b46e368c0be26533edcbd3dda3c522bb233a06 12110 nova-compute-qemu_2012.1.1-11_all.deb
 574f612ecb377816ff6a2eb2bf751b9a107f20ca 12198 nova-compute-kvm_2012.1.1-11_all.deb
 4e0c3c33e7039e8de905ace2cd9625681280895f 14698 nova-scheduler_2012.1.1-11_all.deb
 0f868a990803bf667e329b31e9ded335164e4b01 15606 nova-volume_2012.1.1-11_all.deb
 fa8f09a98e288cc5a1bdc1c069fb79a2a827aeee 14588 nova-api_2012.1.1-11_all.deb
 2a70a99d7f37c205a37f59a3e14e698a260f7ddf 17512 nova-network_2012.1.1-11_all.deb
 6774e6efd73ec610239f8dca3b74ce33694f9129 14794 nova-objectstore_2012.1.1-11_all.deb
 c36c544a70e6c558bce6a2b4941f7f7851f2ce68 15286 nova-console_2012.1.1-11_all.deb
 355f1b7129b5a44c4fd0ec565372b1495dbe1fb4 14656 nova-cert_2012.1.1-11_all.deb
 a0527374d9085c65dc9070857ca40dd89f88d2c6 34540 nova-xcp-plugins_2012.1.1-11_all.deb
 d7d83eb8750adec2659e5d8f27ef24e85cd69bae 19328 nova-xcp-network_2012.1.1-11_all.deb
 edc0d0fc0c3b21214c9580c9138271755f475556 1712326 nova-doc_2012.1.1-11_all.deb
 008d3662fb9dcd0aa6e75400af81354d8519b446 14586 nova-xvpvncproxy_2012.1.1-11_all.deb
 bbd12115745acb296f5145df10485ad57e9061a3 14490 nova-api-metadata_2012.1.1-11_all.deb
 85725050399e851785393c6aa9967f0112cebf6b 14490 nova-api-os-compute_2012.1.1-11_all.deb
 b4e46d5b0e6cbf3a88f3b5366b16568a3cc28754 14494 nova-api-os-volume_2012.1.1-11_all.deb
 4d68dcd277ed8edfc2c5c587a483f869fc8760aa 14464 nova-api-ec2_2012.1.1-11_all.deb
Checksums-Sha256: 
 f206ee012d26e9b4752c3989bd7c5d26f21ebc315be46f6ca142f2d1d5c7c774 3073 nova_2012.1.1-11.dsc
 46971b8e7368bc03e0f6fbd2ed3f439934293c08379084c93791e55afabd9229 58871 nova_2012.1.1-11.debian.tar.gz
 9756efe0e683c898337df4de426beba23a8135c7d03dfb661f3ac68d3e3460d5 1777470 python-nova_2012.1.1-11_all.deb
 66bfb723b22513b80b32cb07906dd8a484c7071068add8dfa3c8628f95aba3eb 41026 nova-common_2012.1.1-11_all.deb
 a6f4b8c16e5392dae5a6382730cc8d9a5d4f29851de3239a2492d40574652ef3 17084 nova-compute_2012.1.1-11_all.deb
 3576452befe2f79b0fb97d00b44de54ba062ac0d35294679e43eb7df513ae26f 12198 nova-compute-lxc_2012.1.1-11_all.deb
 db0bb7ec6664a9850bb1182bdf99191a2b27658839b9893917f59192b6d74c13 12212 nova-compute-uml_2012.1.1-11_all.deb
 d38ffd694bd2382c00012a7e0359806c8dcd48818af78622711fbbdb04d69fcc 16854 nova-compute-xen_2012.1.1-11_all.deb
 f05d54221cc42ccc2893a15d324b97ca3073c1b0a1790750bf3174c7c3114a7f 12110 nova-compute-qemu_2012.1.1-11_all.deb
 f0607937be57fb350de9bed69fc0e57d32b2b212199a9c0b9a35bdf8bf4f8424 12198 nova-compute-kvm_2012.1.1-11_all.deb
 cf7f5ce5b4f69e650cb1b4b6a600b759c63019e44e2250b98dd5f28749c6041c 14698 nova-scheduler_2012.1.1-11_all.deb
 6e33eee9c0fb423eab42a77c9dda3cfa6a183426638bf821238ef5ada2867f2c 15606 nova-volume_2012.1.1-11_all.deb
 7a5415cffee593b46e69180333ea196708238b3a149877b3848900ecc6368e66 14588 nova-api_2012.1.1-11_all.deb
 136f34c04e6e1a9fdffc48612ad23967a7944f6256b5c0b8c213401085d1838f 17512 nova-network_2012.1.1-11_all.deb
 0ba8317c3cc4222789f53dffa47e21c022ac9ebb5aff1cf1248a1334a4d4e1a8 14794 nova-objectstore_2012.1.1-11_all.deb
 60f48de60d39f3bc48f07f4a2df56596b8466d74a9ae1ffd2c1199bcd18d3314 15286 nova-console_2012.1.1-11_all.deb
 9759132d85d5e47cb587d20f961b4b590b8a672403b22728470d29306fdd21e7 14656 nova-cert_2012.1.1-11_all.deb
 3f0884e74e7874d6fdb6c4bdb4f1c9d3a2cb3378eee46aced6cc1d98a18f0d4a 34540 nova-xcp-plugins_2012.1.1-11_all.deb
 fa107c862440560bfd00f3dc72a7f9d259654fcaa8dc0390c5d2fc1758b8fc70 19328 nova-xcp-network_2012.1.1-11_all.deb
 d49ce88d13ba96068e761f987b217d484dae07cb82755e3e9e371fc75416688d 1712326 nova-doc_2012.1.1-11_all.deb
 ae7a94a3fdae21053a3855fd6a575830ddbef69ad85f257ea16a36f52206e36f 14586 nova-xvpvncproxy_2012.1.1-11_all.deb
 19852330b7464e18b9d18ed7e3cc8bb38ddaeb42d597e74707f17ebf7a37e5f1 14490 nova-api-metadata_2012.1.1-11_all.deb
 2fa2d02afb9623ebef98bf105e5fbbbddab5cdc70fa106f1c0e06c44adc8c6cc 14490 nova-api-os-compute_2012.1.1-11_all.deb
 5460e07a25e88efc05b4ea6fd1f2fadb178eb5d54e7904ee23385ad58ece07f4 14494 nova-api-os-volume_2012.1.1-11_all.deb
 aae4b60a7ff43c27ae300242a623f2d9875fda387861cefed7ce9227f534409d 14464 nova-api-ec2_2012.1.1-11_all.deb
Files: 
 8f52a59aa20db511660c1c4097444183 3073 net extra nova_2012.1.1-11.dsc
 2b9307545fdf6abb6c694daa49890ca2 58871 net extra nova_2012.1.1-11.debian.tar.gz
 6d9709a035c0399a01db63cc2fb9671b 1777470 python extra python-nova_2012.1.1-11_all.deb
 5a160a58a2b9d4c98e02cc4375a1f82c 41026 net extra nova-common_2012.1.1-11_all.deb
 1ddb9c51d12cf7c53747512223e049f2 17084 net extra nova-compute_2012.1.1-11_all.deb
 d2d4d57e66db252015910651c2c9caeb 12198 net extra nova-compute-lxc_2012.1.1-11_all.deb
 4d5041b9975f04704836fde29ab56227 12212 net extra nova-compute-uml_2012.1.1-11_all.deb
 69ee0c63972ccfb9b0743a60eb462e0d 16854 net extra nova-compute-xen_2012.1.1-11_all.deb
 b5d37f5802b81cc191b7ff91b627fe83 12110 net extra nova-compute-qemu_2012.1.1-11_all.deb
 52c9f884c4ed595c907e1fa42ed3204b 12198 net extra nova-compute-kvm_2012.1.1-11_all.deb
 dcad7651aeeaa76411c98f3c3fe32d59 14698 net extra nova-scheduler_2012.1.1-11_all.deb
 d7b63ec9d9a046d123abeb0af73d1e75 15606 net extra nova-volume_2012.1.1-11_all.deb
 6f49e4e89c043fe225fdcffe916f74c1 14588 net extra nova-api_2012.1.1-11_all.deb
 2fe56f340772fd740477e9d6a2c7741d 17512 net extra nova-network_2012.1.1-11_all.deb
 7e92e1d1999fa9ebd6e0f510c6841d0a 14794 net extra nova-objectstore_2012.1.1-11_all.deb
 afc80baca7c946299f46c777ad4eef4f 15286 net extra nova-console_2012.1.1-11_all.deb
 48118a96c008f7fd16725b97b7a5e2c4 14656 net extra nova-cert_2012.1.1-11_all.deb
 3aacdae721bf27b94e5bde600fd38093 34540 net extra nova-xcp-plugins_2012.1.1-11_all.deb
 e835e4d28727fccbb8f3bb2f714c2a82 19328 net extra nova-xcp-network_2012.1.1-11_all.deb
 10ade45b135c63724041e26593484567 1712326 doc extra nova-doc_2012.1.1-11_all.deb
 c671424c5e5e9495d0bb6139c0acf683 14586 net extra nova-xvpvncproxy_2012.1.1-11_all.deb
 79e530df4a463d291a7c5f911a75aed8 14490 net extra nova-api-metadata_2012.1.1-11_all.deb
 b9084f2ef5a1256083c05069ae092ba6 14490 net extra nova-api-os-compute_2012.1.1-11_all.deb
 43416e25559750b0a4b2f394f8ec471e 14494 net extra nova-api-os-volume_2012.1.1-11_all.deb
 31009c9549f6caf4b4da20094796383e 14464 net extra nova-api-ec2_2012.1.1-11_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlDR+R0ACgkQl4M9yZjvmkmrngCg4K69koU34ji++F3iYjxL4osX
/YkAnile34vQUM+4G2CIHeFJGUgLp9d3
=hw0s
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 28 Jan 2013 07:28:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:09:23 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.